JarDependenciesConfigurer (Grails 2.4.4)
Date: 2014-10-28

Package: org.codehaus.groovy.grails.resolve.config

## [Java] Class JarDependenciesConfigurer

- org.codehaus.groovy.grails.resolve.config.JarDependenciesConfigurer

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class AbstractDependencyManagementConfigurer` | `context`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `JarDependenciesConfigurer (DependencyConfigurationContext context)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `protected void` | `addArtifacts(java.lang.String scope, EnhancedDefaultDependencyDescriptor dependencyDescriptor)`
    `protected void` | `addDependency(java.lang.String scope, EnhancedDefaultDependencyDescriptor descriptor)`
    `protected void` | `handleExport(EnhancedDefaultDependencyDescriptor descriptor, java.lang.Boolean export)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractDependenciesConfigurer` | `addArtifacts, addDependency, getExportSetting, handleExport, invokeMethod, preprocessDependencyProperties`
    `class AbstractDependencyManagementConfigurer` | `getContext, getDependencyManager, getGrailsCoreDependencies`
    `class groovy.lang.GroovyObjectSupport` | `groovy.lang.GroovyObjectSupport#setProperty(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#getProperty(java.lang.String), groovy.lang.GroovyObjectSupport#invokeMethod(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#setMetaClass(groovy.lang.MetaClass), groovy.lang.GroovyObjectSupport#getMetaClass(), groovy.lang.GroovyObjectSupport#wait(long, int), groovy.lang.GroovyObjectSupport#wait(long), groovy.lang.GroovyObjectSupport#wait(), groovy.lang.GroovyObjectSupport#equals(java.lang.Object), groovy.lang.GroovyObjectSupport#toString(), groovy.lang.GroovyObjectSupport#hashCode(), groovy.lang.GroovyObjectSupport#getClass(), groovy.lang.GroovyObjectSupport#notify(), groovy.lang.GroovyObjectSupport#notifyAll()`

- - ### Constructor Detail

    - #### public JarDependenciesConfigurer(DependencyConfigurationContext context)

  - ### Method Detail

    - #### @java.lang.Override protected void addArtifacts(java.lang.String scope, EnhancedDefaultDependencyDescriptor dependencyDescriptor)

    - #### @java.lang.Override protected void addDependency(java.lang.String scope, EnhancedDefaultDependencyDescriptor descriptor)

    - #### @java.lang.Override protected void handleExport(EnhancedDefaultDependencyDescriptor descriptor, java.lang.Boolean export)